org.apache.sling.nosql.generic.adapter

## Enum MultiValueMode

- java.lang.Object
- - java.lang.Enum<MultiValueMode>
  - - org.apache.sling.nosql.generic.adapter.MultiValueMode

All Implemented Interfaces:
  Serializable, Comparable<MultiValueMode>

    public enum MultiValueMode
    extends Enum<MultiValueMode>

Mode for multi-valued field data in `NoSqlData` properties.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAYS` Return multi-valued field values as array (default).
`LISTS` Return multi-valued field values as lists.

### Method Summary

All Methods Static Methods Concrete Methods
`static MultiValueMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MultiValueMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARRAYS

    public static final MultiValueMode ARRAYS

Return multi-valued field values as array (default).

#### LISTS

    public static final MultiValueMode LISTS

Return multi-valued field values as lists.

### Method Detail

#### values

    public static MultiValueMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MultiValueMode c : MultiValueMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MultiValueMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null